<template>
  <header-breadcrumb title="login" />
  <div class="w-full p-5 mx-auto">
    <el-form
      ref="loginFormRef"
      label-position="top"
      :model="loginFormData"
      :rules="loginRules"
      :validate-on-rule-change="false"
      class="w-full mx-auto"
    >
      <el-form-item :label="$t('username')" prop="Username">
        <el-input
          v-model="loginFormData.Username"
          :placeholder="$t('username')"
          type="text"
        />
      </el-form-item>
      <el-form-item :label="$t('password')" prop="Password">
        <el-input
          v-model="loginFormData.Password"
          show-password
          :placeholder="$t('password')"
          type="password"
        />
      </el-form-item>
      <el-form-item class="forgot-password-form-item">
        <auth-forgot-password-modal :fullscreen="true" />
      </el-form-item>
      <template class="flex justify-center">
        <div class="mt-10">
          <el-button
            :disabled="isLoginProccessing"
            type="danger"
            round
            @click="submitLogin(loginFormRef)"
            >{{ $t("submit") }}</el-button
          >
        </div>
      </template>
    </el-form>
    <p
      v-if="!register.IsHidden"
      class="mt-4 text-sm font-normal leading-4 text-center fc-text"
    >
      {{ $t("you_do_not_have_account_yet") }}?
      <nuxt-link class="text-primary" to="/register">{{
        $t("joinnow")
      }}</nuxt-link>
    </p>
    <theme-common-telegram-login-button
      :is-show="isTelegramBotSetup"
      :username="telegramBotUsername"
      @callback="telegramCallbackFunction"
    />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import useLogin from "@/composables/useLogin";

export default defineComponent({
  name: "Login",
  setup() {
    const {
      loginFormRef,
      loginFormData,
      loginRules,
      submitLogin,
      isLoginProccessing,
      register,
      isTelegramBotSetup,
      telegramBotUsername,
      checkLoginTelegramSetup,
      telegramCallbackFunction,
    } = useLogin();
    checkLoginTelegramSetup();
    return {
      loginFormRef,
      loginFormData,
      loginRules,
      submitLogin,
      isLoginProccessing,
      register,
      telegramCallbackFunction,
      isTelegramBotSetup,
      telegramBotUsername,
    };
  },
});
</script>
<style scoped>
.text-primary {
  color: var(--primary);
}
:deep(button.el-button) {
  width: 142px;
  height: 40px;
  background-color: var(--primary);
  border: none;
}
:deep(.el-input__inner) {
  height: 48px;
  border-radius: 8px;
}
:deep(.el-button span) {
  @apply text-sm font-bold leading-4;
}
</style>
